Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.document.relaxng.impl
Class NameImpl

    java.lang.Object
      xmltorng.document.relaxng.impl.NameImpl

All Implemented Interfaces:
  Name, NameClass

    public class NameImpl

extends java.lang.Object
implements Name

Field Summary

Fields inherited from interface xmltorng.framework.document.relaxng.NameClass
`NAMECLASS_ANYNAME, NAMECLASS_CHOICE, NAMECLASS_NAME, NAMECLASS_NSNAME`

Constructor Summary
`NameImpl(Name name)`
`NameImpl(java.lang.String nsURI, java.lang.String localName)`

Method Summary
`boolean` | `equals(Name name)`
`boolean` | `equals(java.lang.Object object)`
`java.lang.String` | `getName()` Return the local name.
`int` | `getNameClassType()` Return the nameClass type.
`java.lang.String` | `getNsURI()` Return the namespace URI.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameImpl

    public NameImpl(java.lang.String nsURI,
                    java.lang.String localName)

### NameImpl

    public NameImpl(Name name)

Method Detail

### equals

    public boolean equals(Name name)

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getNameClassType

    public int getNameClassType()

  Description copied from interface: `NameClass`
  Return the nameClass type. Is one of the NAMECLASS_* constants.

  Specified by:
    `getNameClassType` in interface `NameClass`

### getNsURI

    public java.lang.String getNsURI()

  Description copied from interface: `Name`
  Return the namespace URI. Is not null.

  Specified by:
    `getNsURI` in interface `Name`

### getName

    public java.lang.String getName()

  Description copied from interface: `Name`
  Return the local name. Is a not null NCName.

  Specified by:
    `getName` in interface `Name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD